import { Entity, PrimaryKey, Property } from '@mikro-orm/core'

@Entity()
export class World {
  @PrimaryKey()
  date = new Date()

  @Property()
  isRainEnabled = false

  @Property()
  rainPercentage = 0

  @Property()
  isFogEnabled = false

  @Property()
  fogDensity = 0
}
